Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network202.158.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
202.158.0.0
Broadcast address
202.159.255.255
First usable
202.158.0.1
Last usable
202.159.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Public public
Old class
C (default /24)
As numbers
Hex CA9E0000 · Integer 3399352320 to 3399483391
Reverse DNS zones
158.202.in-addr.arpa
159.202.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11001010.10011110.00000000.00000000202.158.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network11001010.10011110.00000000.00000000202.158.0.0
Broadcast11001010.10011111.11111111.11111111202.159.255.255
Split into smaller subnets/27

202.158.0.0/15 makes 4,096 subnets of /27; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1202.158.0.0/27202.158.0.1 to 202.158.0.30202.158.0.3130
2202.158.0.32/27202.158.0.33 to 202.158.0.62202.158.0.6330
3202.158.0.64/27202.158.0.65 to 202.158.0.94202.158.0.9530
4202.158.0.96/27202.158.0.97 to 202.158.0.126202.158.0.12730
5202.158.0.128/27202.158.0.129 to 202.158.0.158202.158.0.15930
6202.158.0.160/27202.158.0.161 to 202.158.0.190202.158.0.19130
7202.158.0.192/27202.158.0.193 to 202.158.0.222202.158.0.22330
8202.158.0.224/27202.158.0.225 to 202.158.0.254202.158.0.25530
9202.158.1.0/27202.158.1.1 to 202.158.1.30202.158.1.3130
10202.158.1.32/27202.158.1.33 to 202.158.1.62202.158.1.6330
11202.158.1.64/27202.158.1.65 to 202.158.1.94202.158.1.9530
12202.158.1.96/27202.158.1.97 to 202.158.1.126202.158.1.12730
13202.158.1.128/27202.158.1.129 to 202.158.1.158202.158.1.15930
14202.158.1.160/27202.158.1.161 to 202.158.1.190202.158.1.19130
15202.158.1.192/27202.158.1.193 to 202.158.1.222202.158.1.22330
16202.158.1.224/27202.158.1.225 to 202.158.1.254202.158.1.25530
17202.158.2.0/27202.158.2.1 to 202.158.2.30202.158.2.3130
18202.158.2.32/27202.158.2.33 to 202.158.2.62202.158.2.6330
19202.158.2.64/27202.158.2.65 to 202.158.2.94202.158.2.9530
20202.158.2.96/27202.158.2.97 to 202.158.2.126202.158.2.12730
21202.158.2.128/27202.158.2.129 to 202.158.2.158202.158.2.15930
22202.158.2.160/27202.158.2.161 to 202.158.2.190202.158.2.19130
23202.158.2.192/27202.158.2.193 to 202.158.2.222202.158.2.22330
24202.158.2.224/27202.158.2.225 to 202.158.2.254202.158.2.25530
25202.158.3.0/27202.158.3.1 to 202.158.3.30202.158.3.3130
26202.158.3.32/27202.158.3.33 to 202.158.3.62202.158.3.6330
27202.158.3.64/27202.158.3.65 to 202.158.3.94202.158.3.9530
28202.158.3.96/27202.158.3.97 to 202.158.3.126202.158.3.12730
29202.158.3.128/27202.158.3.129 to 202.158.3.158202.158.3.15930
30202.158.3.160/27202.158.3.161 to 202.158.3.190202.158.3.19130
31202.158.3.192/27202.158.3.193 to 202.158.3.222202.158.3.22330
32202.158.3.224/27202.158.3.225 to 202.158.3.254202.158.3.25530
33202.158.4.0/27202.158.4.1 to 202.158.4.30202.158.4.3130
34202.158.4.32/27202.158.4.33 to 202.158.4.62202.158.4.6330
35202.158.4.64/27202.158.4.65 to 202.158.4.94202.158.4.9530
36202.158.4.96/27202.158.4.97 to 202.158.4.126202.158.4.12730
37202.158.4.128/27202.158.4.129 to 202.158.4.158202.158.4.15930
38202.158.4.160/27202.158.4.161 to 202.158.4.190202.158.4.19130
39202.158.4.192/27202.158.4.193 to 202.158.4.222202.158.4.22330
40202.158.4.224/27202.158.4.225 to 202.158.4.254202.158.4.25530
41202.158.5.0/27202.158.5.1 to 202.158.5.30202.158.5.3130
42202.158.5.32/27202.158.5.33 to 202.158.5.62202.158.5.6330
43202.158.5.64/27202.158.5.65 to 202.158.5.94202.158.5.9530
44202.158.5.96/27202.158.5.97 to 202.158.5.126202.158.5.12730
45202.158.5.128/27202.158.5.129 to 202.158.5.158202.158.5.15930
46202.158.5.160/27202.158.5.161 to 202.158.5.190202.158.5.19130
47202.158.5.192/27202.158.5.193 to 202.158.5.222202.158.5.22330
48202.158.5.224/27202.158.5.225 to 202.158.5.254202.158.5.25530
49202.158.6.0/27202.158.6.1 to 202.158.6.30202.158.6.3130
50202.158.6.32/27202.158.6.33 to 202.158.6.62202.158.6.6330
51202.158.6.64/27202.158.6.65 to 202.158.6.94202.158.6.9530
52202.158.6.96/27202.158.6.97 to 202.158.6.126202.158.6.12730
53202.158.6.128/27202.158.6.129 to 202.158.6.158202.158.6.15930
54202.158.6.160/27202.158.6.161 to 202.158.6.190202.158.6.19130
55202.158.6.192/27202.158.6.193 to 202.158.6.222202.158.6.22330
56202.158.6.224/27202.158.6.225 to 202.158.6.254202.158.6.25530
57202.158.7.0/27202.158.7.1 to 202.158.7.30202.158.7.3130
58202.158.7.32/27202.158.7.33 to 202.158.7.62202.158.7.6330
59202.158.7.64/27202.158.7.65 to 202.158.7.94202.158.7.9530
60202.158.7.96/27202.158.7.97 to 202.158.7.126202.158.7.12730
61202.158.7.128/27202.158.7.129 to 202.158.7.158202.158.7.15930
62202.158.7.160/27202.158.7.161 to 202.158.7.190202.158.7.19130
63202.158.7.192/27202.158.7.193 to 202.158.7.222202.158.7.22330
64202.158.7.224/27202.158.7.225 to 202.158.7.254202.158.7.25530
65202.158.8.0/27202.158.8.1 to 202.158.8.30202.158.8.3130
66202.158.8.32/27202.158.8.33 to 202.158.8.62202.158.8.6330
67202.158.8.64/27202.158.8.65 to 202.158.8.94202.158.8.9530
68202.158.8.96/27202.158.8.97 to 202.158.8.126202.158.8.12730
69202.158.8.128/27202.158.8.129 to 202.158.8.158202.158.8.15930
70202.158.8.160/27202.158.8.161 to 202.158.8.190202.158.8.19130
71202.158.8.192/27202.158.8.193 to 202.158.8.222202.158.8.22330
72202.158.8.224/27202.158.8.225 to 202.158.8.254202.158.8.25530
73202.158.9.0/27202.158.9.1 to 202.158.9.30202.158.9.3130
74202.158.9.32/27202.158.9.33 to 202.158.9.62202.158.9.6330
75202.158.9.64/27202.158.9.65 to 202.158.9.94202.158.9.9530
76202.158.9.96/27202.158.9.97 to 202.158.9.126202.158.9.12730
77202.158.9.128/27202.158.9.129 to 202.158.9.158202.158.9.15930
78202.158.9.160/27202.158.9.161 to 202.158.9.190202.158.9.19130
79202.158.9.192/27202.158.9.193 to 202.158.9.222202.158.9.22330
80202.158.9.224/27202.158.9.225 to 202.158.9.254202.158.9.25530
81202.158.10.0/27202.158.10.1 to 202.158.10.30202.158.10.3130
82202.158.10.32/27202.158.10.33 to 202.158.10.62202.158.10.6330
83202.158.10.64/27202.158.10.65 to 202.158.10.94202.158.10.9530
84202.158.10.96/27202.158.10.97 to 202.158.10.126202.158.10.12730
85202.158.10.128/27202.158.10.129 to 202.158.10.158202.158.10.15930
86202.158.10.160/27202.158.10.161 to 202.158.10.190202.158.10.19130
87202.158.10.192/27202.158.10.193 to 202.158.10.222202.158.10.22330
88202.158.10.224/27202.158.10.225 to 202.158.10.254202.158.10.25530
89202.158.11.0/27202.158.11.1 to 202.158.11.30202.158.11.3130
90202.158.11.32/27202.158.11.33 to 202.158.11.62202.158.11.6330
91202.158.11.64/27202.158.11.65 to 202.158.11.94202.158.11.9530
92202.158.11.96/27202.158.11.97 to 202.158.11.126202.158.11.12730
93202.158.11.128/27202.158.11.129 to 202.158.11.158202.158.11.15930
94202.158.11.160/27202.158.11.161 to 202.158.11.190202.158.11.19130
95202.158.11.192/27202.158.11.193 to 202.158.11.222202.158.11.22330
96202.158.11.224/27202.158.11.225 to 202.158.11.254202.158.11.25530
97202.158.12.0/27202.158.12.1 to 202.158.12.30202.158.12.3130
98202.158.12.32/27202.158.12.33 to 202.158.12.62202.158.12.6330
99202.158.12.64/27202.158.12.65 to 202.158.12.94202.158.12.9530
100202.158.12.96/27202.158.12.97 to 202.158.12.126202.158.12.12730
101202.158.12.128/27202.158.12.129 to 202.158.12.158202.158.12.15930
102202.158.12.160/27202.158.12.161 to 202.158.12.190202.158.12.19130
103202.158.12.192/27202.158.12.193 to 202.158.12.222202.158.12.22330
104202.158.12.224/27202.158.12.225 to 202.158.12.254202.158.12.25530
105202.158.13.0/27202.158.13.1 to 202.158.13.30202.158.13.3130
106202.158.13.32/27202.158.13.33 to 202.158.13.62202.158.13.6330
107202.158.13.64/27202.158.13.65 to 202.158.13.94202.158.13.9530
108202.158.13.96/27202.158.13.97 to 202.158.13.126202.158.13.12730
109202.158.13.128/27202.158.13.129 to 202.158.13.158202.158.13.15930
110202.158.13.160/27202.158.13.161 to 202.158.13.190202.158.13.19130
111202.158.13.192/27202.158.13.193 to 202.158.13.222202.158.13.22330
112202.158.13.224/27202.158.13.225 to 202.158.13.254202.158.13.25530
113202.158.14.0/27202.158.14.1 to 202.158.14.30202.158.14.3130
114202.158.14.32/27202.158.14.33 to 202.158.14.62202.158.14.6330
115202.158.14.64/27202.158.14.65 to 202.158.14.94202.158.14.9530
116202.158.14.96/27202.158.14.97 to 202.158.14.126202.158.14.12730
117202.158.14.128/27202.158.14.129 to 202.158.14.158202.158.14.15930
118202.158.14.160/27202.158.14.161 to 202.158.14.190202.158.14.19130
119202.158.14.192/27202.158.14.193 to 202.158.14.222202.158.14.22330
120202.158.14.224/27202.158.14.225 to 202.158.14.254202.158.14.25530
121202.158.15.0/27202.158.15.1 to 202.158.15.30202.158.15.3130
122202.158.15.32/27202.158.15.33 to 202.158.15.62202.158.15.6330
123202.158.15.64/27202.158.15.65 to 202.158.15.94202.158.15.9530
124202.158.15.96/27202.158.15.97 to 202.158.15.126202.158.15.12730
125202.158.15.128/27202.158.15.129 to 202.158.15.158202.158.15.15930
126202.158.15.160/27202.158.15.161 to 202.158.15.190202.158.15.19130
127202.158.15.192/27202.158.15.193 to 202.158.15.222202.158.15.22330
128202.158.15.224/27202.158.15.225 to 202.158.15.254202.158.15.25530
129202.158.16.0/27202.158.16.1 to 202.158.16.30202.158.16.3130
130202.158.16.32/27202.158.16.33 to 202.158.16.62202.158.16.6330
131202.158.16.64/27202.158.16.65 to 202.158.16.94202.158.16.9530
132202.158.16.96/27202.158.16.97 to 202.158.16.126202.158.16.12730
133202.158.16.128/27202.158.16.129 to 202.158.16.158202.158.16.15930
134202.158.16.160/27202.158.16.161 to 202.158.16.190202.158.16.19130
135202.158.16.192/27202.158.16.193 to 202.158.16.222202.158.16.22330
136202.158.16.224/27202.158.16.225 to 202.158.16.254202.158.16.25530
137202.158.17.0/27202.158.17.1 to 202.158.17.30202.158.17.3130
138202.158.17.32/27202.158.17.33 to 202.158.17.62202.158.17.6330
139202.158.17.64/27202.158.17.65 to 202.158.17.94202.158.17.9530
140202.158.17.96/27202.158.17.97 to 202.158.17.126202.158.17.12730
141202.158.17.128/27202.158.17.129 to 202.158.17.158202.158.17.15930
142202.158.17.160/27202.158.17.161 to 202.158.17.190202.158.17.19130
143202.158.17.192/27202.158.17.193 to 202.158.17.222202.158.17.22330
144202.158.17.224/27202.158.17.225 to 202.158.17.254202.158.17.25530
145202.158.18.0/27202.158.18.1 to 202.158.18.30202.158.18.3130
146202.158.18.32/27202.158.18.33 to 202.158.18.62202.158.18.6330
147202.158.18.64/27202.158.18.65 to 202.158.18.94202.158.18.9530
148202.158.18.96/27202.158.18.97 to 202.158.18.126202.158.18.12730
149202.158.18.128/27202.158.18.129 to 202.158.18.158202.158.18.15930
150202.158.18.160/27202.158.18.161 to 202.158.18.190202.158.18.19130
151202.158.18.192/27202.158.18.193 to 202.158.18.222202.158.18.22330
152202.158.18.224/27202.158.18.225 to 202.158.18.254202.158.18.25530
153202.158.19.0/27202.158.19.1 to 202.158.19.30202.158.19.3130
154202.158.19.32/27202.158.19.33 to 202.158.19.62202.158.19.6330
155202.158.19.64/27202.158.19.65 to 202.158.19.94202.158.19.9530
156202.158.19.96/27202.158.19.97 to 202.158.19.126202.158.19.12730
157202.158.19.128/27202.158.19.129 to 202.158.19.158202.158.19.15930
158202.158.19.160/27202.158.19.161 to 202.158.19.190202.158.19.19130
159202.158.19.192/27202.158.19.193 to 202.158.19.222202.158.19.22330
160202.158.19.224/27202.158.19.225 to 202.158.19.254202.158.19.25530
161202.158.20.0/27202.158.20.1 to 202.158.20.30202.158.20.3130
162202.158.20.32/27202.158.20.33 to 202.158.20.62202.158.20.6330
163202.158.20.64/27202.158.20.65 to 202.158.20.94202.158.20.9530
164202.158.20.96/27202.158.20.97 to 202.158.20.126202.158.20.12730
165202.158.20.128/27202.158.20.129 to 202.158.20.158202.158.20.15930
166202.158.20.160/27202.158.20.161 to 202.158.20.190202.158.20.19130
167202.158.20.192/27202.158.20.193 to 202.158.20.222202.158.20.22330
168202.158.20.224/27202.158.20.225 to 202.158.20.254202.158.20.25530
169202.158.21.0/27202.158.21.1 to 202.158.21.30202.158.21.3130
170202.158.21.32/27202.158.21.33 to 202.158.21.62202.158.21.6330
171202.158.21.64/27202.158.21.65 to 202.158.21.94202.158.21.9530
172202.158.21.96/27202.158.21.97 to 202.158.21.126202.158.21.12730
173202.158.21.128/27202.158.21.129 to 202.158.21.158202.158.21.15930
174202.158.21.160/27202.158.21.161 to 202.158.21.190202.158.21.19130
175202.158.21.192/27202.158.21.193 to 202.158.21.222202.158.21.22330
176202.158.21.224/27202.158.21.225 to 202.158.21.254202.158.21.25530
177202.158.22.0/27202.158.22.1 to 202.158.22.30202.158.22.3130
178202.158.22.32/27202.158.22.33 to 202.158.22.62202.158.22.6330
179202.158.22.64/27202.158.22.65 to 202.158.22.94202.158.22.9530
180202.158.22.96/27202.158.22.97 to 202.158.22.126202.158.22.12730
181202.158.22.128/27202.158.22.129 to 202.158.22.158202.158.22.15930
182202.158.22.160/27202.158.22.161 to 202.158.22.190202.158.22.19130
183202.158.22.192/27202.158.22.193 to 202.158.22.222202.158.22.22330
184202.158.22.224/27202.158.22.225 to 202.158.22.254202.158.22.25530
185202.158.23.0/27202.158.23.1 to 202.158.23.30202.158.23.3130
186202.158.23.32/27202.158.23.33 to 202.158.23.62202.158.23.6330
187202.158.23.64/27202.158.23.65 to 202.158.23.94202.158.23.9530
188202.158.23.96/27202.158.23.97 to 202.158.23.126202.158.23.12730
189202.158.23.128/27202.158.23.129 to 202.158.23.158202.158.23.15930
190202.158.23.160/27202.158.23.161 to 202.158.23.190202.158.23.19130
191202.158.23.192/27202.158.23.193 to 202.158.23.222202.158.23.22330
192202.158.23.224/27202.158.23.225 to 202.158.23.254202.158.23.25530
193202.158.24.0/27202.158.24.1 to 202.158.24.30202.158.24.3130
194202.158.24.32/27202.158.24.33 to 202.158.24.62202.158.24.6330
195202.158.24.64/27202.158.24.65 to 202.158.24.94202.158.24.9530
196202.158.24.96/27202.158.24.97 to 202.158.24.126202.158.24.12730
197202.158.24.128/27202.158.24.129 to 202.158.24.158202.158.24.15930
198202.158.24.160/27202.158.24.161 to 202.158.24.190202.158.24.19130
199202.158.24.192/27202.158.24.193 to 202.158.24.222202.158.24.22330
200202.158.24.224/27202.158.24.225 to 202.158.24.254202.158.24.25530
201202.158.25.0/27202.158.25.1 to 202.158.25.30202.158.25.3130
202202.158.25.32/27202.158.25.33 to 202.158.25.62202.158.25.6330
203202.158.25.64/27202.158.25.65 to 202.158.25.94202.158.25.9530
204202.158.25.96/27202.158.25.97 to 202.158.25.126202.158.25.12730
205202.158.25.128/27202.158.25.129 to 202.158.25.158202.158.25.15930
206202.158.25.160/27202.158.25.161 to 202.158.25.190202.158.25.19130
207202.158.25.192/27202.158.25.193 to 202.158.25.222202.158.25.22330
208202.158.25.224/27202.158.25.225 to 202.158.25.254202.158.25.25530
209202.158.26.0/27202.158.26.1 to 202.158.26.30202.158.26.3130
210202.158.26.32/27202.158.26.33 to 202.158.26.62202.158.26.6330
211202.158.26.64/27202.158.26.65 to 202.158.26.94202.158.26.9530
212202.158.26.96/27202.158.26.97 to 202.158.26.126202.158.26.12730
213202.158.26.128/27202.158.26.129 to 202.158.26.158202.158.26.15930
214202.158.26.160/27202.158.26.161 to 202.158.26.190202.158.26.19130
215202.158.26.192/27202.158.26.193 to 202.158.26.222202.158.26.22330
216202.158.26.224/27202.158.26.225 to 202.158.26.254202.158.26.25530
217202.158.27.0/27202.158.27.1 to 202.158.27.30202.158.27.3130
218202.158.27.32/27202.158.27.33 to 202.158.27.62202.158.27.6330
219202.158.27.64/27202.158.27.65 to 202.158.27.94202.158.27.9530
220202.158.27.96/27202.158.27.97 to 202.158.27.126202.158.27.12730
221202.158.27.128/27202.158.27.129 to 202.158.27.158202.158.27.15930
222202.158.27.160/27202.158.27.161 to 202.158.27.190202.158.27.19130
223202.158.27.192/27202.158.27.193 to 202.158.27.222202.158.27.22330
224202.158.27.224/27202.158.27.225 to 202.158.27.254202.158.27.25530
225202.158.28.0/27202.158.28.1 to 202.158.28.30202.158.28.3130
226202.158.28.32/27202.158.28.33 to 202.158.28.62202.158.28.6330
227202.158.28.64/27202.158.28.65 to 202.158.28.94202.158.28.9530
228202.158.28.96/27202.158.28.97 to 202.158.28.126202.158.28.12730
229202.158.28.128/27202.158.28.129 to 202.158.28.158202.158.28.15930
230202.158.28.160/27202.158.28.161 to 202.158.28.190202.158.28.19130
231202.158.28.192/27202.158.28.193 to 202.158.28.222202.158.28.22330
232202.158.28.224/27202.158.28.225 to 202.158.28.254202.158.28.25530
233202.158.29.0/27202.158.29.1 to 202.158.29.30202.158.29.3130
234202.158.29.32/27202.158.29.33 to 202.158.29.62202.158.29.6330
235202.158.29.64/27202.158.29.65 to 202.158.29.94202.158.29.9530
236202.158.29.96/27202.158.29.97 to 202.158.29.126202.158.29.12730
237202.158.29.128/27202.158.29.129 to 202.158.29.158202.158.29.15930
238202.158.29.160/27202.158.29.161 to 202.158.29.190202.158.29.19130
239202.158.29.192/27202.158.29.193 to 202.158.29.222202.158.29.22330
240202.158.29.224/27202.158.29.225 to 202.158.29.254202.158.29.25530
241202.158.30.0/27202.158.30.1 to 202.158.30.30202.158.30.3130
242202.158.30.32/27202.158.30.33 to 202.158.30.62202.158.30.6330
243202.158.30.64/27202.158.30.65 to 202.158.30.94202.158.30.9530
244202.158.30.96/27202.158.30.97 to 202.158.30.126202.158.30.12730
245202.158.30.128/27202.158.30.129 to 202.158.30.158202.158.30.15930
246202.158.30.160/27202.158.30.161 to 202.158.30.190202.158.30.19130
247202.158.30.192/27202.158.30.193 to 202.158.30.222202.158.30.22330
248202.158.30.224/27202.158.30.225 to 202.158.30.254202.158.30.25530
249202.158.31.0/27202.158.31.1 to 202.158.31.30202.158.31.3130
250202.158.31.32/27202.158.31.33 to 202.158.31.62202.158.31.6330
251202.158.31.64/27202.158.31.65 to 202.158.31.94202.158.31.9530
252202.158.31.96/27202.158.31.97 to 202.158.31.126202.158.31.12730
253202.158.31.128/27202.158.31.129 to 202.158.31.158202.158.31.15930
254202.158.31.160/27202.158.31.161 to 202.158.31.190202.158.31.19130
255202.158.31.192/27202.158.31.193 to 202.158.31.222202.158.31.22330
256202.158.31.224/27202.158.31.225 to 202.158.31.254202.158.31.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses